#include <iostream>
#include "../include/my_lib.hpp"

using namespace std;

namespace {

  int my_lib_helper_fn(int x) {
    cout << "The function " << __func__ << " with parameter " << x << " was called." << endl;
    return x + 1;
  }

}

my_lib_rect::my_lib_rect(int width, int height):
  width_(width),
  height_(height)
{}

int my_lib_rect::area() const
{
	return width_ * height_;
}

int my_lib_fn() {
    cout << "The function " << __func__ << " was called." << endl;
    return 0;
}

int my_lib_fn(int x) {
    int a = my_lib_helper_fn(x);
    cout << "The function " << __PRETTY_FUNCTION__ << " with parameter " << x << " was called." << endl;
    return x + a;
}
